Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.rmi
Class ValueAnalysis

    java.lang.Object
      org.jboss.iiop.rmi.AbstractAnalysis
          org.jboss.iiop.rmi.ClassAnalysis
              org.jboss.iiop.rmi.ContainerAnalysis
                  org.jboss.iiop.rmi.ValueAnalysis

Direct Known Subclasses:
  ExceptionAnalysis

public class ValueAnalysis
extends ContainerAnalysis

Value analysis. Routines here are conforming to the "Java(TM) Language to IDL Mapping Specification", version 1.1 (01-06-07).

Version:
  $Revision: 1.7 $
Author:
  Ole Husgaard

Field Summary

Fields inherited from class org.jboss.iiop.rmi.ContainerAnalysis
`abstractBaseValuetypes, attributes, classHashCode, constants, F_CONSTANT, f_flags, F_SPFFIELD, fields, interfaces, m_flags, M_INHERITED, M_OVERLOADED, M_READ, M_READONLY, M_WRITE, M_WRITEOBJECT, memberPostfix, memberPrefix, methods, mutators, operations, repositoryId`

Fields inherited from class org.jboss.iiop.rmi.ClassAnalysis
`cls`

Constructor Summary
`protected` | `ValueAnalysis(Class cls)`

Method Summary
`protected void` | `analyzeAttributes()` Analyse attributes.
`protected void` | `doAnalyze()`
`protected ArrayList` | `getContainedEntries()` Return a list of all the entries contained here.
`String` | `getIDLModuleName()` Return the fully qualified IDL module name that this analysis should be placed in.
`ValueMemberAnalysis[]` | `getMembers()` Return the value members of this value class.
`ValueAnalysis` | `getSuperAnalysis()` Returns the superclass analysis, or null if this inherits from java.lang.Object.
`static ValueAnalysis` | `getValueAnalysis(Class cls)`
`boolean` | `isAbstractValue()` Returns true if this value is abstract.
`boolean` | `isCustom()` Returns true if this value is custom.
`boolean` | `isExternalizable()` Returns true if this value implements java.io.Externalizable.

Methods inherited from class org.jboss.iiop.rmi.ContainerAnalysis
`analyzeConstants, analyzeFields, analyzeInterfaces, analyzeMethods, analyzeOperations, attributeReadName, attributeWriteName, calculateClassHashCode, calculateRepositoryId, escapeIRName, fixupCaseNames, fixupOverloadedOperationNames, getAbstractBaseValuetypes, getAttributes, getConstants, getInterfaces, getMemberRepositoryId, getOperations, getRepositoryId, hasNonAppExceptions, isAccessor, isMutator, toHexString, toHexString`

Methods inherited from class org.jboss.iiop.rmi.ClassAnalysis
`getCls, getIDLName, getJavaName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueAnalysis

    protected ValueAnalysis(Class cls)

Method Detail

### getValueAnalysis

    public static ValueAnalysis getValueAnalysis(Class cls)
                                          throws RMIIIOPViolationException

  Throws:
    `RMIIIOPViolationException`

### getIDLModuleName

    public String getIDLModuleName()

  Description copied from class: `ContainerAnalysis`
  Return the fully qualified IDL module name that this analysis should be placed in.

  Overrides:
    `getIDLModuleName` in class `ContainerAnalysis`

### doAnalyze

    protected void doAnalyze()
                      throws RMIIIOPViolationException

  Overrides:
    `doAnalyze` in class `ContainerAnalysis`
  Throws:
    `RMIIIOPViolationException`

### getSuperAnalysis

    public ValueAnalysis getSuperAnalysis()

  Returns the superclass analysis, or null if this inherits from java.lang.Object.

### isAbstractValue

    public boolean isAbstractValue()

  Returns true if this value is abstract.

### isCustom

    public boolean isCustom()

  Returns true if this value is custom.

### isExternalizable

    public boolean isExternalizable()

  Returns true if this value implements java.io.Externalizable.

### getMembers

    public ValueMemberAnalysis[] getMembers()

  Return the value members of this value class.

### analyzeAttributes

    protected void analyzeAttributes()
                              throws RMIIIOPViolationException

  Analyse attributes. This will fill in the `attributes` array. Here we override the implementation in ContainerAnalysis and create an empty array, because for valuetypes we don't want to analyse IDL attributes or operations (as in "rmic -idl -noValueMethods").

  Overrides:
    `analyzeAttributes` in class `ContainerAnalysis`
  Throws:
    `RMIIIOPViolationException`

### getContainedEntries

    protected ArrayList getContainedEntries()

  Return a list of all the entries contained here.

  Specified by:
    `getContainedEntries` in class `ContainerAnalysis`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.